ورڈپریس تي خودڪشي ناڪام ٿي وئي؟ ايف ٽي پي ناڪام ٿي؟

WordPressتازو ، اسان وٽ هڪ گراهڪ هو جيڪو ورڈپریس سان استعمال لاءِ انهن جا پنهنجا سرور ترتيب ڏنو. جڏهن تازو 3.04 سيڪيورٽي اپڊيٽ آئي هئي ، اسان جي سڀني گراهڪن تي هن ورزن کي انسٽال ڪرڻ جي تڪڙ جو احساس هو. بهرحال ، هي خاص ڪلائنٽ هميشه گهربل آهي ته اسان ورڈپریس کي دستي طور اپڊيٽ ڪيون… اهڙو عمل جيڪو دل جي بيچيني لاءِ نه هجي!

اسان عام نٿا حاصل ڪريون “فائل نٿا لکي سگھن”بلاگ تي غلطي. ان جي بدران اسان کي ايف ٽي پي لاگ ان سان اسڪرين مهيا ڪئي وئي. مسئلو اهو هو ته اسان ايف ٽي پي جي سند ڀرينداسين ۽ ٿيندو اڃا تائين ناڪام آهي… هن وقت سٺي صداقتن تي مبني آهي!

مون لائف لائن ڊيٽا سينٽرز ، انڊيانا جي پنهنجي دوستن سان رابطو ڪيو وڏي ۾ وڏو ڊيٽا مرڪز، انهي کان وٺي انهن وٽ ڪجهه اپاچي گيڪ آهن ۽ انهن جا پنهنجا سرور ترتيب ڏنا آهن. انهن مون کي هڪ سادو حل فراهم ڪيو- ايف ٽي پي سندون سڌو سنئون اندر wp-config.php ايف ٽي پي سند کي هارڊ ڪوڊ سان.

تعريف ڪريو ('FTP_HOST'، 'localhost')؛ تعريف ڪريو ('ايف ٽي پي_USER' ، 'يوزر نيم') ؛ وضاحت ڪريو ('FTP_PASS' ، 'پاسورڊ') ؛

ڪجهه سببن جي ڪري ، هڪجهڙائي وارو سند جنهن فارم ۾ ڪم ناهي ڪيو ، مڪمل ڪم ڪيو جڏهن ترتيب جي فائل ۾ رکيل هئي! انهي سان گڏ ، اهو ورڈپریس ايڪٽ وانگر ٺاهي ٿو جئين اهو بغير ايف ٽي پي جي ضرورت جي ضرورت هوندي آهي. صرف تازه ڪاري تي ڪلڪ ڪريو ۽ وڃو!

4 تبصرا

  1. 1

    منهنجو سرور ٻيهر تعمير ڪرڻ ۽ هڪ نئين ورڈپریس تنصيب کي afterهلائڻ کان پوءِ مون ورڈپریس آٽو اپڊيٽ جي غلطين جو تجربو ڪيو. منھنجو مسئلو فائر فاڪس کان اٿيو ، ورڊپریس نه- ٻين شايد ساڳي مسئلي جو تجربو ڪري سگھن ھا جيڪڏھن انھن جو ايف ٽي پي يوزر نيم ۽ ورڈپریس يوزر نيم ساڳيا آھن جيئن مون (جيتوڻيڪ مختلف سرمائيڪاري ۽ پاسورڊ سان)

    مسئلو اهو آهي ته فائر فاڪس ، جيڪڏهن توهان وٽ ”پاسورڊ ياد رکو“ فعال آهي ، صارف کي صحيح طور تي درست ڪري / فارم ۾ وڃي ويندا ته اهو ڇا سمجهيو ته اهو ان جي بنياد تي ٿئي جيڪو پاسورڊ مئنيجر ۾ محفوظ ٿيل آهي. منهنجي معاملي ۾ ، منهنجا ورڈپریس اسناد محفوظ ڪيا ويا ، پر منهنجي ايف ٽي پي جي سند نه هئي ، جيئن اهي ايس ايڇ ايس کي سائيٽ ۾ استعمال ڪري سگهجن. ماڻهو انهي صورتحال ۾ يا ته وقتي طور تي ياداشتن کي ياد ڪندي "پاسورڊ ياد رکون ٿا" انهن جي ترجيحن / اختيارن ۾ جڏهن ورڈپریس کي هن رويي کي درست ڪرڻ جي لاءِ ورڈپریس آٽو اپڊيٽ استعمال ڪرڻ جي ڪوشش ڪري يا ورڊپریس تي ڪوڊ جو ٽڪرو لاڳو ڪيو

  2. 2

    ڊوگ ،

    مون کي ساڳيو مسئلو آهي اپاچي جي گهر تعمير ڪرڻ سان. اهو واضع ٿيو ته اهو غلط فائلن ۽ ڊائريڪٽريز تي اجازتن ۽ ملڪيت جو نتيجو آهي.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    مٿي ڏنل لنڪ ايف ٽي پي جي سند استعمال ڪندي بغير مسئلي جي درستگي جي باري ۾ بصيرت مهيا ڪئي. يقينن مان توهان کي سفارش نٿو ڪريان ته توهان پنهنجي سموري يوزر ڊاريڪٽري کي 775 ڏانهن ڇڏيو (۽ مان نه ڪيو) پر انهي مون کي صحيح هدايت ڏانهن روانو ڪيو.

    آدم

  3. 3

    ٻين لاءِ ممڪن حل جي ڳولا لاءِ: هڪ ٻيو بلاگر پنهنجي هومٽ کي PHT5 استعمال ڪندي مجبور ڪندي پاڻمرادو پنهنجو پاڻمرادو اپڊيٽ جي مسئلن کي حل ڪيو.

    AddType x-mapp-php5 .php شامل ڪريو

  4. 4

    علم شيئر ڪرڻ جي مهرباني ، مون پاڻ کي آٽو اپڊيٽس سان مسئلا محسوس ڪيا آهن ، پر مون وٽ واحد حل اهو آهي ته پلگ ان کي غير فعال ڪرڻ ۽ پوءِ ورڈپریس کي آٽو اپڊيٽ ڪرڻ ۽ آخر ۾ سڀ پلگ ان کي رد ڪرڻ.

    هي ٽپ هڪ مختلف مسئلي لاءِ آهي پر اهو goodاڻڻ سٺو آهي ته ان کي ڪيئن حل ڪجي.

    ميڪسيڪو کان مبارڪون!

توهان ڇا ٿا سوچيو؟

هي سائيٽ اسپام کي گهٽائڻ لاء اکزمٽ استعمال ڪري ٿو. سکو ته توهان جي تجويز ڪيل ڊيٽا کي ڪيئن عمل ڪيو وڃي.